Package org.jboss.resteasy.plugins.server.netty

## Class RestEasyHttpRequestDecoder

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelInboundHandlerAdapter
    - - io.netty.handler.codec.MessageToMessageDecoder<io.netty.handler.codec.http.HttpRequest>
      - - org.jboss.resteasy.plugins.server.netty.RestEasyHttpRequestDecoder

- All Implemented Interfaces:
    `io.netty.channel.ChannelHandler`, `io.netty.channel.ChannelInboundHandler`

      @Sharable
      public class RestEasyHttpRequestDecoder
      extends io.netty.handler.codec.MessageToMessageDecoder<io.netty.handler.codec.http.HttpRequest>

  This `MessageToMessageDecoder` is responsible for decode `HttpRequest` to `NettyHttpRequest`'s This implementation is `ChannelHandler.Sharable`
  Author:
    Norman Maurer

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `RestEasyHttpRequestDecoder.Protocol` |

    - ### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

      `io.netty.channel.ChannelHandler.Sharable`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RestEasyHttpRequestDecoder​(SynchronousDispatcher dispatcher, String servletMappingPrefix, RestEasyHttpRequestDecoder.Protocol protocol)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `decode​(io.netty.channel.ChannelHandlerContext ctx, io.netty.handler.codec.http.HttpRequest request, List<Object> out)` |

    - ### Methods inherited from class io.netty.handler.codec.MessageToMessageDecoder

      `acceptInboundMessage, channelRead`

    - ### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

      `channelActive, channelInactive, channelReadComplete, channelRegistered, channelUnregistered, channelWritabilityChanged, exceptionCaught, userEventTriggered`

    - ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

      `ensureNotSharable, handlerAdded, handlerRemoved, isSharable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.netty.channel.ChannelHandler

      `handlerAdded, handlerRemoved`

- - ### Constructor Detail

    - #### RestEasyHttpRequestDecoder

          public RestEasyHttpRequestDecoder​(SynchronousDispatcher dispatcher,
                                            String servletMappingPrefix,
                                            RestEasyHttpRequestDecoder.Protocol protocol)

  - ### Method Detail

    - #### decode

          protected void decode​(io.netty.channel.ChannelHandlerContext ctx,
                                io.netty.handler.codec.http.HttpRequest request,
                                List<Object> out)
                         throws Exception

      Specified by:
        `decode` in class `io.netty.handler.codec.MessageToMessageDecoder<io.netty.handler.codec.http.HttpRequest>`
      Throws:
        `Exception`